#4108 autotrace 0.31.1-1022 with better support for Leopard and GC

closed-out-of-date
nobody
5
2012-03-30
2012-03-06
No

Does this package have OS version restrictions? Not likely, builds on Mac OS X 10.5 and 10.6
Which section does it belong in?graphics
Have you built it with -m --build-as-nobody? Yes

Since g++ is not used for compilation, it's an easy update. the PATCH file has been updated to patch configure.in. Modern versions of Magick-config return when invoked with --version for ImageMagick two items: the proper version number, 6.7.5 for example, and the value of quantisation, for example Q16. Due to this the code in configure fails to determine the version of installed ImageMagick. My patch fixes this.

pete 139 /\ apply 'dpkg -L' autotrace autotrace-shlibs
/.
/sw
/sw/bin
/sw/bin/autotrace-config
/sw/include
/sw/include/autotrace
/sw/include/autotrace/autotrace.h
/sw/include/autotrace/exception.h
/sw/include/autotrace/input.h
/sw/include/autotrace/output.h
/sw/include/autotrace/types.h
/sw/lib
/sw/lib/libautotrace.la
/sw/lib/pkgconfig
/sw/lib/pkgconfig/autotrace.pc
/sw/share
/sw/share/aclocal
/sw/share/aclocal/autotrace.m4
/sw/share/doc
/sw/share/doc/autotrace
/sw/share/doc/autotrace/AUTHORS
/sw/share/doc/autotrace/ChangeLog
/sw/share/doc/autotrace/COPYING
/sw/share/doc/autotrace/COPYING.LIB
/sw/share/doc/autotrace/FAQ
/sw/share/doc/autotrace/HACKING
/sw/share/doc/autotrace/NEWS
/sw/share/doc/autotrace/README
/sw/share/doc/autotrace/README.MING
/sw/share/doc/autotrace/THANKS
/sw/share/doc/autotrace/TODO
/sw/lib/libautotrace.dylib

/.
/sw
/sw/lib
/sw/lib/libautotrace.3.dylib
/sw/share
/sw/share/doc
/sw/share/doc/autotrace-shlibs
/sw/share/doc/autotrace-shlibs/AUTHORS
/sw/share/doc/autotrace-shlibs/ChangeLog
/sw/share/doc/autotrace-shlibs/COPYING
/sw/share/doc/autotrace-shlibs/COPYING.LIB
/sw/share/doc/autotrace-shlibs/FAQ
/sw/share/doc/autotrace-shlibs/HACKING
/sw/share/doc/autotrace-shlibs/NEWS
/sw/share/doc/autotrace-shlibs/README
/sw/share/doc/autotrace-shlibs/README.MING
/sw/share/doc/autotrace-shlibs/THANKS
/sw/share/doc/autotrace-shlibs/TODO

Discussion

  • Peter Dyballa

    Peter Dyballa - 2012-03-06

    Archive of autotrace 0.31.1-1022 INFO and PATCH files

     
  • Alexander Hansen

    • milestone: 373615 --> Awaiting_Update_from_Submitter
     
  • Alexander Hansen

    GCC: 4.2 doesn't do what you think it does. It actually does nothing. I assume you're trying to set the compilers?

     
  • Alexander Hansen

    And if g++ isn't used for compilation, by policy a GCC: field isn't required.

     
  • Alexander Hansen

    I'd recommend doing what you did in pstoedit. As it is, the package is still going to build with gcc-4.0.1 on 10.5.

     
  • Peter Dyballa

    Peter Dyballa - 2012-03-23

    With "GCC: 4.2" I might have tried to tell Fink that I'm going to use GCC 4.2. My intention could also habe been to leave a GCC 4.0 file for EOL Tiger and have something more up-to-date for Leopard and later.
    Most probably I think I used this because ImageMagick with OpenMP support was compile with GCC 4.2 pkg-config delivers this -fopenmp flag. It turned that after I've changed the way ImageMagick was built other packages need to be built the same way. I think only inkscape remained; but I can check again.

    OK, I'll see what I can do for pstoedit. It really needs it as a rebuild just showed.

     
  • Peter Dyballa

    Peter Dyballa - 2012-03-24

    pstoedit.info with GCC 4.2

     
  • Peter Dyballa

    Peter Dyballa - 2012-03-25

    This is a slightly updated version of pstoedit.info which uses GCC 4.2 on Leopard. As I've seen there is already a version 3.60 pstoedit out. I think I'll try a real update to this version.

     
  • Peter Dyballa

    Peter Dyballa - 2012-03-30

    I am closing this since https://sourceforge.net/tracker/index.php?func=detail&aid=3511502&group_id=17203&atid=414256 supersedes this. It's PATCH file also contains the change

    - MAGICK_VERSION=`Magick-config --version`
    + MAGICK_VERSION=`Magick-config --version | awk '{print $1}'`

    to handle the new version numbers of ImageMagick and the INFO file has been updated to use libming1 instead of very old ming package. Other updates are the use of GCC 4.2 – though not perfect yet – and lcms2.

     
  • Peter Dyballa

    Peter Dyballa - 2012-03-30
    • status: open --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks